---
title: History.scrollRestoration
slug: Web/API/History/scrollRestoration
tags:
  - API
  - HTML DOM
  - History
  - History API
  - Property
  - Reference
---
<div>{{APIRef("History API")}}</div>

<p>The <strong><code>scrollRestoration</code></strong> property of {{DOMxRef("History")}} interface allows web applications to explicitly set default scroll restoration behavior on history navigation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>scrollRestore</em> = history.scrollRestoration</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd>The location on the page to which the user has scrolled will be restored.</dd>
 <dt><code>manual</code></dt>
 <dd>The location on the page is not restored. The user will have to scroll to the location manually.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Query_the_current_scroll_restoration_behavior.">Query the current scroll restoration behavior.</h3>

<pre class="brush: js">const scrollRestoration = history.scrollRestoration
if (scrollRestoration === 'manual') {
  console.log('The location on the page is not restored, user will need to scroll manually.');
}
</pre>

<h3 id="Prevent_automatic_page_location_restoration">Prevent automatic page location restoration</h3>

<pre class="brush: js">if (history.scrollRestoration) {
  history.scrollRestoration = 'manual';
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("HTML WHATWG", "#scroll-restoration-mode", "scroll restoration mode")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>No change from {{SpecName("HTML5 W3C")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5 W3C", "browsers.html#dom-history-scrollrestoration", "History.scrollRestoration")}}</td>
   <td>{{Spec2("HTML5 W3C")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.History.scrollRestoration")}}</p>
